Support » Fixing WordPress » ‘Unresponsive script’ on ‘write post’ page in WordPress 2.5

  • I’m using WordPress 2.5, and in Firefox 2.0.0.13 I’m getting the following message whenever I click on ‘Write post’:

    Warning: Unresponsive script
    A script on this page may be busy, or it may have stopped responding. You can stop the script now, or you can continue to see if the script will complete.

    If I click on ‘Continue’ it thinks for a bit, then the same message pops up again. ‘Continue’ again and it seems to go away.

    The problem isn’t there when using Safari.

    I’ve posted on this already, but I didn’t have as much detail, and got no response – maybe I gave it a bad topic title.

Viewing 15 replies - 1 through 15 (of 18 total)
  • Double check all the files you have in wp-admin/js and wp-includes/js. Make certain you uploaded all the changed files for WordPress 2.5.

    Over 80% of the problems I’ve solved for people via email have now been due to them not uploading all the files properly. It’s an epidemic.

    Also, if it doesn’t happen in one browser, but it does in another, then try clearing browser caches and such.

    Hi ttucker23,

    this is an informative message. The Flash Plugin realizes that a script is taking (relativly) long. To give you as user the option to interact, the message is displayed.

    I suggest you disable javascrit and plugins in your browser. That should solve your problem right away.

    Otto42: It is an epidemic. Please make another sticky post. The Users need to be pointed on the update documentation stronger, most of wordpress users seem to miss that documentatation and do not follow it.

    Otto42: I’m sure I uploaded all the files correctly – I followed the instructions to the letter. But I will do so again, if you think it might help.

    Well, debugging javascript code is more of an art form than anything else, which is why I suggested making double/triple sure that those files are exactly correct. Any variation, any older files, could cause all sorts of weirdness.

    I’d look in your browsers error log, see what the issue is.

    I will code a plugin that creates md5s of each file and will check it against the official release. any additional files inside the wp-admin and wp-includes directory should be highlighted as well.

    Edit: And I need to remind me to insert an UTF-8 encoding check for each .php, .txt .mo … etc. file as well.

    Thanks for your help, much appreciated. I haven’t had a chance to try all these things, but hopefully will go through them over the next few days.

    ttucker23 in case you have got an older computer system, consider uninstall the flash plugin. flash can consume a lot of resources and it might decrease the usage-experience of your computer.

    Hi:
    I am having the same script problems. I upgraded via Fantastico so I’m sure all the files were installed. This has never happened on previous upgrade.

    Also I tested all of my plugins and there are no conflicts. Any ideas.

    Nobody’s figured out how to fix this yet? I have two blogs that I’ve recently upgraded to 2.5, and both give the “unresponsive script” error. I’m positive I copied over all of the files correctly (followed the details upgrade guide, and completely deleted the wp-admin and wp-includes directories), so it’s not a matter of old .js files. I have no custom fields, and the problem is still there with all plugins disabled.

    The same thing is happening to me. Everything has worked fine, but this morning I received the same error message you described. What is the solution to this problem?

    I’ve got the same problem. It only started after I imported all the posts via WordPress XML from another WordPress blog. I only needed the content so I removed all the pages, categories, etc. then this problem materialized. It happens in FF and IE.

    Sometimes I have to hit “continue” 2 or 3 times before it finally makes it thru whatever the problematic script is.

    I’ve reloaded all the JS pages as suggested in this thread to no avail. I’m on the verge of just scrapping the site, and starting over. Please help.

    The problem on my end is definitely stemming from importing a WXR file. I did a fresh install and everything worked fine, but as soon as I imported the WordPress generated XML file, the problem returned. It seems to have something to do with the categories.

    (The import process has problems of it’s own as it seems to time out before it finishes importing the entire contents of the XML file when you have it download attachments. You can refresh multiple times and it will eventually get all the way thru though.)

    After importing a WXR file my users and myself are now having this problem also. It’s causing major confusion and some are just refusing to post anymore untill it is resolved.

    is there a way to stop this error or would It mean starting from scratch and having to repost all the posts again indivdually?

    I’m using the current 2.5.1 version.

    The page loads fine but the options for the text input do not. the error appears and then they show once I select “stop script”.

    What I mean byt those option is the Bold, Quote, Image and such. It may be an error with the script for that or one that preceeds it I have no idea. Just trying to give as much info as I can.

Viewing 15 replies - 1 through 15 (of 18 total)
  • The topic ‘‘Unresponsive script’ on ‘write post’ page in WordPress 2.5’ is closed to new replies.